# $Revision: 1.25 $, $Date: 2002/09/17 19:40:32 $
# Conditional build:
# _without_jconv           - without jconv support

Summary:	A bleeding edge branch of Sylpheed, a GTK+ based, lightweight, and fast e-mail client
Summary(pl):	Osobno rozwijana wersja Sylpheed z paroma zmianami/ulepszeniami
Name:		sylpheed-claws
Version:	0.8.2
Release:	1
License:	GPL
Group:		X11/Applications/Networking
Source0:	http://telia.dl.sourceforge.net/sourceforge/sylpheed-claws/sylpheed-%{version}claws.tar.gz
Source1:	http://prdownloads.sourceforge.net/sylpheed-claws/sylpheed-theme-pak2.tar.bz2 
Source2:	%{name}.desktop
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	faces-devel
BuildRequires:	gdk-pixbuf-devel >= 0.8
BuildRequires:	gettext-devel
BuildRequires:	gpgme-devel
BuildRequires:	gtk+-devel >= 1.2.6
BuildRequires:	gtkhtml-devel >= 0.10.1
BuildRequires:	imlib-devel
BuildRequires:	libltdl-devel
BuildRequires:	libtool
BuildRequires:	openldap-devel
BuildRequires:	openssl-devel
BuildRequires:	pspell-devel >= 12.2-5
%{!?_without_jconv:BuildRequires:   libjconv-devel}
Requires:	faces
Obsoletes:	sylpheed
URL:		http://sylpheed-claws.sourceforge.net/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
This program is an X based fast e-mail client which has features same
as orginal Sylpheed but with new/improved features. Some of new stuff
is really cool and useable.

%description -l pl
Szybki klient poczty o moliwociach takich jak oryginalny Sylpheed
ale z nowymi/poprawionymi funkcjami. Niektre dodatki s naprawd
wietne i uyteczne.

%prep
%setup -q -n sylpheed-%{version}claws
mkdir themes
cd themes
tar -jxf %{SOURCE1}
mv -f README ../README.themes
cd ..

%build
rm -f missing
%{__libtoolize}
%{__gettextize}
%{__aclocal} -I ac
%{__autoconf}
autoheader
automake --add-missing --foreign --copy
%configure \
	%{!?_without_jconv:--enable-jconv} \
	--enable-pspell \
	--enable-impib \
	--enable-gdk-pixbuf \
	--enable-threads \
	--enable-ssl \
 	--enable-ipv6 \
	--enable-ldap \
	--enable-gpgme

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_applnkdir}/Network/Mail

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE2} $RPM_BUILD_ROOT%{_applnkdir}/Network/Mail
cp -a themes $RPM_BUILD_ROOT%{_datadir}/sylpheed

%find_lang sylpheed

%clean
rm -rf $RPM_BUILD_ROOT

%files -f sylpheed.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README* TODO
%{_mandir}/man1/sylpheed.1.gz
%attr(755,root,root) %{_bindir}/*
%dir %{_datadir}/sylpheed
%dir %{_datadir}/sylpheed/manual
%{_datadir}/sylpheed/manual/en
%lang(de) %{_datadir}/sylpheed/manual/de
%lang(es) %{_datadir}/sylpheed/manual/es
%lang(fr) %{_datadir}/sylpheed/manual/fr
%lang(ja) %{_datadir}/sylpheed/manual/ja
%dir %{_datadir}/sylpheed/faq
%{_datadir}/sylpheed/faq/en
%lang(de) %{_datadir}/sylpheed/faq/de
%lang(es) %{_datadir}/sylpheed/faq/es
%lang(fr) %{_datadir}/sylpheed/faq/fr
%lang(it) %{_datadir}/sylpheed/faq/it
%{_datadir}/sylpheed/themes
%{_applnkdir}/Network/Mail/%{name}.desktop
%{_pixmapsdir}/sylpheed.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: sylpheed-claws.spec,v $
Revision 1.25  2002/09/17 19:40:32  kloczek
- removed unused now Source3 (sylpheed.png).

Revision 1.24  2002/09/17 19:06:35  kloczek
- more macros,
- s/libltdl-static/libltdl-devel/ in BuildRequires,
- fixed %install.

Revision 1.23  2002/08/28 14:34:52  areq
- 0.8.2, STBR

Revision 1.22  2002/08/28 10:40:38  zytek
- lets call it "typo" ;)

Revision 1.21  2002/08/28 10:37:29  zytek
- reversed bcond for jconv (UTF support)
- release 2

Revision 1.20  2002/08/04 17:32:47  mwinkler
- updated to 0.8.1
- added man page

Revision 1.19  2002/07/24 14:49:14  kura
- updated to 0.8.0
- new %doc

Revision 1.18  2002/07/06 14:13:32  mwinkler
- BuildRequires: libltdl-static

Revision 1.17  2002/06/23 20:52:53  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.16  2002/06/23 20:32:36  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.15  2002/06/21 20:47:25  maryush
- updated to 0.7.8

Revision 1.14  2002/05/21 23:14:48  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.13  2002/05/18 13:31:18  areq
- 0.7.6, STBR

Revision 1.12  2002/04/30 06:16:28  filon
- add small theme pack
- added missing BuildRequires: pspell-devel (with version >= 12.2-5)
- release 2

Revision 1.11  2002/04/29 22:31:59  filon
- updated to 0.7.5
- enable gpgme usage
- add docs for some languages
- STBR

Revision 1.10  2002/03/27 16:35:33  zytek
- updated to 0.7.4 (works? I cannot test it now :)

Revision 1.9  2002/03/01 10:29:06  zytek
- cosmetics

Revision 1.8  2002/02/22 23:29:46  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.7  2002/02/21 05:40:35  kloczek
- removed duplicated BuildRequires rules for libjconv-devel.

Revision 1.6  2002/02/20 17:12:12  zytek
- added bcond for jconv (same as in sylpheed.spec)

Revision 1.5  2002/02/20 11:03:42  qboosh
- BR: openldap-devel, uncommented BR: libjconv-devel (STBR: libjconv)

Revision 1.4  2002/02/20 10:51:46  kura
- updated to 0.7.2
- added --enable-ldap to %configure
- adapterized

Revision 1.3  2002/02/19 19:47:19  zytek
- added icon, now much better ;)
- STBR

Revision 1.2  2002/02/18 17:30:21  zytek
- enabled pspell and jconv (aflinta's request ;))
- updated %description
- release 2, STB

Revision 1.1  2002/02/17 16:14:25  zytek
- initial release od Sylpheed Claws (info about it at URL)
- STB
